edu.sc.seis.sod.validator.model

## Class AbstractGenitorForm

- java.lang.Object
- - edu.sc.seis.sod.validator.model.AbstractForm
  - - edu.sc.seis.sod.validator.model.AbstractGenitorForm

- All Implemented Interfaces:
    Form, FormProvider, GenitorForm
  Direct Known Subclasses:
    AnyXMLElement, Attribute, NamedElement

      public abstract class AbstractGenitorForm
      extends AbstractForm
      implements GenitorForm

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AbstractGenitorForm(int min, int max)`
    `AbstractGenitorForm(int min, int max, Form parent)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `accept(Tourist visitor)`
    `void` | `copyGutsOver(AbstractGenitorForm newParent)`
    `Form` | `getChild()`
    `boolean` | `isAncestorOf(Form f, Form root)`

    - ### Methods inherited from class edu.sc.seis.sod.validator.model.AbstractForm

      `copyGutsOver, deref, getAnnotation, getDef, getForm, getMax, getMin, getNamespace, getParent, getXPath, isAncestorOf, isFromDef, setAnnotation, setMax, setMin, setNamespace`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface edu.sc.seis.sod.validator.model.Form

      `deref, getAnnotation, getDef, getNamespace, getParent, getXPath, isAncestorOf, isFromDef`

    - ### Methods inherited from interface edu.sc.seis.sod.validator.model.FormProvider

      `copyWithNewParent, getForm, getMax, getMin, setAnnotation, setMax, setMin`

- - ### Constructor Detail

    - #### AbstractGenitorForm

          public AbstractGenitorForm(int min,
                                     int max)

    - #### AbstractGenitorForm

          public AbstractGenitorForm(int min,
                                     int max,
                                     Form parent)

  - ### Method Detail

    - #### isAncestorOf

          public boolean isAncestorOf(Form f,
                                      Form root)

      Specified by:
        `isAncestorOf` in interface `Form`
      Overrides:
        `isAncestorOf` in class `AbstractForm`

    - #### getChild

          public Form getChild()

      Specified by:
        `getChild` in interface `GenitorForm`
      Returns:
        the Form that goes inside this one

    - #### accept

          public void accept(Tourist visitor)

      Specified by:
        `accept` in interface `Form`

    - #### copyGutsOver

          public void copyGutsOver(AbstractGenitorForm newParent)